%define anolis_release 1

Name:           gnome-shell
Version:        44.1
Release:        %{anolis_release}%{dist}

Summary:        Window management and application launching for GNOME

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeShell
Source0:        https://download.gnome.org/sources/gnome-shell/44/%{name}-%{version}.tar.xz

# Replace Epiphany with Firefox in the default favourite apps list
Patch0001: 0001-gnome-shell-favourite-apps-firefox.patch

# Some users might have a broken PAM config, so we really need this
# downstream patch to stop trying on configuration errors.
Patch0002: 0002-gdm-Work-around-failing-fingerprint-auth.patch

BuildRequires: meson >= 0.58.0
BuildRequires: gettext
BuildRequires: pkgconfig(atk-bridge-2.0)
BuildRequires: pkgconfig(gcr-4) >= 3.90.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gdk-x11-3.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.56.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.56.0
BuildRequires: pkgconfig(gjs-1.0) >= 1.73.1
BuildRequires: pkgconfig(gnome-desktop-4) >= 40
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 1.49.1
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 42~beta
BuildRequires: pkgconfig(gtk+-3.0) >= 3.15.0
BuildRequires: pkgconfig(ibus-1.0) >= 1.5.19
BuildRequires: pkgconfig(libecal-2.0) >= 3.33.1
BuildRequires: pkgconfig(libedataserver-1.2) >= 3.33.1
BuildRequires: pkgconfig(libmutter-12) >= 44.0
BuildRequires: pkgconfig(libnm) >= 1.10.4
BuildRequires: pkgconfig(libsecret-1) >= 0.18
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.11
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mutter-clutter-12) >= 44.0
BuildRequires: pkgconfig(mutter-cogl-12) >= 44.0
BuildRequires: pkgconfig(mutter-cogl-pango-12) >= 44.0
BuildRequires: pkgconfig(polkit-agent-1) >= 0.100
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(x11)
BuildRequires: /usr/bin/python3
BuildRequires: /usr/bin/gjs
# BuildRequires for subproject gvc
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libpulse) >= 12.99.3
BuildRequires: pkgconfig(libpulse-mainloop-glib)
# BuildRequires for subproject extensions-tool
BuildRequires: pkgconfig(bash-completion)
BuildRequires: pkgconfig(gio-2.0) >= 2.56.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.56.0
BuildRequires: pkgconfig(gnome-autoar-0)
BuildRequires: pkgconfig(json-glib-1.0)
# BuildRequires for subproject shew
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(x11)
# Bootstrap requirements
BuildRequires: gtk-doc
Requires:       gnome-bluetooth
Requires:       gnome-desktop4 >= 40
Recommends:     gnome-session-xsession
Requires:       gcr
Requires:       gobject-introspection >= 1.49.1
Requires:       gjs >= 1.73.1
Requires:       gtk3 >= 3.15.0
Requires:       libadwaita >= 1
Requires:       libnma
# needed for loading SVG's via gdk-pixbuf
Requires:       librsvg2
Requires:       mutter >= 44.0
Requires:       upower
# needed for screen recorder
Requires:       gstreamer1
Requires:       polkit >= 0.100
Requires:       gsettings-desktop-schemas >= 42.0
# needed for schemas
Requires:       at-spi2-atk
# needed for on-screen keyboard
Requires:       ibus >= 1.5.19
# needed for "show keyboard layout"
Requires:       libgnomekbd
# needed for the user menu
Requires:       accountsservice-libs
Requires:       gdm-libs
# needed for settings items in menus
Requires:       gnome-control-center
# needed by some utilities
Requires:       python3
# needed for the dual-GPU launch menu
Requires:       switcheroo-control
# needed for clocks/weather integration
Requires:       geoclue2-libs
Requires:       libgweather
# needed for thunderbolt support
Requires:       bolt
# Needed for launching flatpak apps etc
# 1.8.0 is needed for source type support in the screencast portal.
Requires:       xdg-desktop-portal-gtk >= 1.8.0
Requires:       xdg-desktop-portal-gnome
# needed by the welcome dialog
Recommends:     gnome-tour

Provides:       desktop-notification-daemon = %{version}-%{release}
Provides:       PolicyKit-authentication-agent = %{version}-%{release}
Provides:       bundled(gvc)
Provides:       bundled(libcroco) = 0.6.13

Obsoletes:      caribou < 0.4.21-10
Obsoletes:      caribou-antler < 0.4.21-10
Obsoletes:      caribou-devel < 0.4.21-10
Obsoletes:      caribou-gtk2-module < 0.4.21-10
Obsoletes:      caribou-gtk3-module < 0.4.21-10
Obsoletes:      python-caribou < 0.4.21-10
Obsoletes:      python2-caribou < 0.4.21-10
Obsoletes:      python3-caribou < 0.4.21-10

Conflicts:      gnome-shell-extension-background-logo < 3.34.0

%description
GNOME Shell provides core user interface functions for the GNOME 3 desktop,
like switching to windows and launching applications. GNOME Shell takes
advantage of the capabilities of modern graphics hardware and introduces
innovative user interface concepts to provide a visually attractive and
easy to use experience.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dextensions_app=false
%meson_build

%install
%meson_install

# Create empty directories where other packages can drop extensions
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
mkdir -p %{buildroot}%{_datadir}/gnome-shell/search-providers

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_bindir}/gnome-shell
%{_bindir}/gnome-extensions
%{abidir}/gnome-extensions-option.list
%{_bindir}/gnome-shell-extension-prefs
%{_bindir}/gnome-shell-extension-tool
%{abidir}/gnome-shell-extension-tool-option.list
%{_bindir}/gnome-shell-perf-tool
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/glib-2.0/schemas/00_org.gnome.shell.gschema.override
%{_datadir}/applications/org.gnome.Shell.Extensions.desktop
%{_datadir}/applications/org.gnome.Shell.desktop
%{_datadir}/applications/org.gnome.Shell.PortalHelper.desktop
%{_datadir}/bash-completion/completions/gnome-extensions
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-launchers.xml
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-screenshots.xml
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-system.xml
%{_datadir}/gnome-shell/
%{_datadir}/dbus-1/services/org.gnome.ScreenSaver.service
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Extensions.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Notifications.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Screencast.service
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Extensions.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Introspect.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.PadOsd.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Shell.Extensions.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Shell.Extensions-symbolic.svg
%{_userunitdir}/org.gnome.Shell-disable-extensions.service
%{_userunitdir}/org.gnome.Shell.target
%{_userunitdir}/org.gnome.Shell@wayland.service
%{_userunitdir}/org.gnome.Shell@x11.service
# Co own directory instead of pulling in xdg-desktop-portal - we
# are providing a backend to the portal, not depending on it
%dir %{_datadir}/xdg-desktop-portal/portals/
%{_datadir}/xdg-desktop-portal/portals/gnome-shell.portal
%{_libdir}/gnome-shell/
%{abidir}/*.dump
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-portal-helper
%{_mandir}/man1/gnome-extensions.1*
%{_mandir}/man1/gnome-shell.1*

%files doc
%doc README.md

%changelog
* Wed Apr 26 2023 Funda Wang <fundawang@yeah.net> - 44.1-1
- New version 44.1

* Wed Mar 22 2023 Funda Wang <fundawang@yeah.net> - 44.0-1
- New version 44.0
- Cleanup build and runtime requires (mainly screen recorder)

* Wed Mar 22 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~rc-2
- Fixed requires for libgweather

* Tue Mar 21 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~rc-1
- Init package from upstream
